Entwurf Klonen

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Clone and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Draft Stretch.svg Dehnen

Draft Clone.svg Entwurf Klonen

Menüeintrag
Änderung → Klonen
Arbeitsbereich
Entwurf, Architektur
Standardtastenkürzel
C L
Eingeführt in Version
-
Siehe auch
Entwurf Skalieren

Beschreibung

Das Draft Clone.svg Entwurf Klonen Werkzeug erstellt verbundene Kopien, Klone von ausgewählten Objekten. Die Form eines Klons ist parametrisch, er wird aktualisiert, wenn sich sein Quellobjekt ändert. Aber ein Klon hat seine eigene Position, Rotation und Skalierung und seine eigenen Ansichtseigenschaften. Für Architektur Objekte erzeugt der Befehl einen speziellen Typ von Klon: einen Architektur Klon.

Der Befehl kann auf 2D Objekte angewendet werden, die mit dem Arbeitsbereich Entwurf oder Arbeitsbereich Skizzierer erzeugt wurden, aber auch auf viele 3D Objekte, wie sie mit dem Arbeitsbereich Part, Arbeitsbereich PartDesign oder Arbeitsbereich Architektur erzeugt wurden. Klone von 2D Objekten können in PartDesign Körpern verwendet werden.

Draft Clone example.jpg

Entwurf Klon neben dem Quellobjekt

Anwendung

  1. Wähle optional ein oder mehrere Objekte aus.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Drücke die Draft Clone.svg Entwurf klonen.
    • Wähle die Option Änderung → Draft Clone.svg Klonen aus dem Menü.
    • Verwende den Tastaturkürzel: C und dann L.
  3. Wenn du noch kein Objekt ausgewählt hadt: Wähle ein Objekt in der 3D Ansicht.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein mit dem Befehl Entwurfsklon erzeugtes Objekt wird von einem Part Part2DObjekt, einem Part Formelement Objekt oder, wenn ein Architekturklon erzeugt wird, vom Objekttyp des Quellobjekts abgeleitet. Er erbt alle Eigenschaften von diesem Objekt. Ein Klon, der von einem der ersten beiden Objekte abgeleitet ist, hat außerdem die folgenden zusätzlichen Eigenschaften:

Daten

Entwurf

  • DatenFuse (Bool): gibt an, ob überlappende Formen im Klon verschmolzen werden oder nicht.
  • DatenObjects (LinkListGlobal): legt die Objekte fest, die geklont werden.
  • DatenScale (Vector): Legt die X, Y und Z Skalierungsfaktoren fest.

Skripten

Siehe auch: Autogenerated API documentation und FreeCAD Grundlagen Skripten.

Um einen Klon zu erstellen, verwende die Methode make_clone (eingeführt in Version 0.19) des Moduls Entwurf. Diese Methode ersetzt die veraltete Methode clone.

cloned_object = make_clone(obj, delta=None, forcedraft=False)
  • obj enthält die zu klonenden Objekte. Es ist entweder ein einzelnes Objekt oder eine Liste von Objekten.
  • delta ist der Verschiebungsvektor, der auf den Klon angewendet werden soll.
  • Wenn forcedraft False ist und obj ein einzelnes Architektur Objekt enthält, wird ein Architektur-Klon erzeugt. Setzen Sie forcedraft auf True, um stattdessen einen Entwurf-Klon zu erzeugen.
  • cloned_object wird mit dem Klonobjekt zurückgegeben.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

place = App.Placement(App.Vector(1000, 0, 0), App.Rotation())
polygon1 = Draft.make_polygon(3, 750)
polygon2 = Draft.make_polygon(5, 750, placement=place)

vector = App.Vector(2600, 500, 0)
cloned_object = Draft.clone([polygon1, polygon2], delta=vector)

cloned_object.Fuse = True

doc.recompute()


Arrow-left.svg Vorherige: Draft Stretch.svg Dehnen